domingo, 23 de agosto de 2009

Ruby Gems on Ubuntu

Este post é apenas para informar (me lembrar) para não instalar o rubygems do repositório do ubuntu.

Existem outras coisas também que não são muito boas instalar do repositório do ubuntu, principalmente quando você quer/precisa da ultima versão, porque sempre é desatualizado.

Como não é sempre que instalamos todas as coisas novamente, eu não lembrava que o que vem no ubuntu é meio bugado, e que é melhor instalar o que está no site http://rubyforge.org/projects/rubygems/. O problema é que instalando direto do rep do ubuntu (via apt-get) ele não cria os links simbólicos para rails e qualquer outro gem que vc pedir pra ele instalar.

Então, baixe o pacote no site acima, descompacte e rode os seguintes comandos:
chmod 755 setup.rb
sudo ruby setup.rb


Pronto, ele instalará tudo certo, com apenas um porém. No meu caso instalei o gem1.8 e foi assim que ficou o link. Para apenas melhorar, execute o seguinte comando:
sudo ln -s /usr/bin/gem1.8 /usr/bin/gem

E agora sim, tudo certo.
Acho que agora não esqueço mais disso.

Abraços.

2 comentários:

Luca Bastos disse...

Ubuntu é aquela coisa doida (herança do Debian) em que a gente tem dificuldades de saber exatamente onde estão os links.

O caso do gem é um deles mas não sei se o Ubuntu é o culpado.

Instalei do mesmo repositório que você e do mesmo jeito. Foi criado (não por mim) um link simbólico em /usr/bin para /etc/alternatives/gem que aponta para /usr/bin/gem1.8.

Quem fez isto? não sei.

Juliano D. Carniel (jujo) disse...

Thanks!

bom em saber que pelo jeito o negócio já foi arrumado =)

Obrigado.